Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.commandline
Class ShellWrapper

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.commandline.ShellWrapper

    public abstract class ShellWrapper

extends java.lang.Object

Clase que analiza y distingue los argumentos de los diferentes servicios de la API
Decide qué funcionalidad debe ser ejecutada y asigna valor a los atributos necesarios para su ejecución.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ShellWrapper()`

Method Summary
`static void` | `main(java.lang.String[] args)` Método principal de la clase que permite seleccionar los servicios ofrecidos de validación XBRL, validación XSD, transformación de XBRL a XML, transformación de XML a XBRL, transformación de XBRL a HTML y transformación de XML a HTML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShellWrapper

    public ShellWrapper()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Método principal de la clase que permite seleccionar los servicios ofrecidos de validación XBRL, validación XSD, transformación de XBRL a XML, transformación de XML a XBRL, transformación de XBRL a HTML y transformación de XML a HTML.
  Podemos diferenciar los seis servicios según el valor del primer argumento obligatorio la clase "ShellWrapper":
  args Conjunto de argumentos para discernir los diferentes servicios y sus atributos de clase. Se detallan a continuación:
  Primer argumento -validatexbrl: Validación de XBRL
  Siguientes argumentos:
  -i FicheroEntrada : Es obligatorio e indica la ruta del fichero a validar
  [-e FicheroErrores] : Es opcional e indica la ruta del fichero de errores
  [-v FicheroValidacion] : Es opcional e indica la ruta del fichero con el resultado de la validación
  [-x]: Es opcional y termina la ejecución devolviendo el resultado de la operación
  Primer argumento -validatexsd: Validación de XML
  Siguientes argumentos:
  -i FicheroEntrada : Es obligatorio e indica la ruta del fichero a validar
  [-e FicheroErrores] : Es opcional e indica la ruta del fichero de errores
  [-v FicheroValidacion] : Es opcional e indica la ruta del fichero con el resultado de la validación
  [-x]: Es opcional y termina la ejecución devolviendo el resultado de la operación
  Primer argumento -xbrltoxml: Transformación de XBRL a XML
  Siguientes argumentos:
  -i FicheroEntrada : Es obligatorio e indica la ruta del fichero de entrada XBRL
  [-e FicheroErrores] : Es opcional e indica la ruta del fichero de errores
  [-v FicheroValidacion] : Es opcional e indica la ruta del fichero con el resultado de la validación
  [-o FicheroResultante] : Es opcional e indica la ruta del fichero en formato XML resultado de la transformación
  [-l] : Es opcional e indica que se debe realizar la validación del fichero XBRL de entrada
  [-x]: Es opcional y termina la ejecución devolviendo el resultado de la operación
  Primer argumento -xmltoxbrl: Transformación de XML a XBRL
  Siguientes argumentos:
  -i FicheroEntrada : Es obligatorio e indica la ruta del fichero de entrada XML
  [-e FicheroErrores] : Es opcional e indica la ruta del fichero de errores
  [-v FicheroValidacion] : Es opcional e indica la ruta del fichero con el resultado de la validación
  [-o FicheroResultante] : Es opcional e indica la ruta del fichero en formato XBRL resultado de la transformación
  [-l] : Es opcional e indica que se debe realizar la validación del fichero XBRL de salida
  [-x]: Es opcional y termina la ejecución devolviendo el resultado de la operación
  Primer argumento -xbrltohtml: Transformación de XBRL a HTML
  Siguientes argumentos:
  -i FicheroEntrada : Es obligatorio e indica la ruta del fichero de entrada XBRL
  -m MóduloVisualización: Es obligatorio e indica el módulo a visualizar en el fichero HTML de salida
  [-e FicheroErrores] : Es opcional e indica la ruta del fichero de errores
  [-o FicheroResultante] : Es opcional e indica la ruta del fichero en formato HTML resultado de la transformación
  [-x]: Es opcional y termina la ejecución devolviendo el resultado de la operación
  Primer argumento -xmltohtml: Transformación de XML a HTML
  Siguientes argumentos:
  -i FicheroEntrada : Es obligatorio e indica la ruta del fichero de entrada XML
  -m MóduloVisualización: Es obligatorio e indica el módulo a visualizar en el fichero HTML de salida
  [-e FicheroErrores] : Es opcional e indica la ruta del fichero de errores
  [-o FicheroResultante] : Es opcional e indica la ruta del fichero en formato HTML resultado de la transformación
  [-x]: Es opcional y termina la ejecución devolviendo el resultado de la operación
  return
  Según la finalización de la ejecución se muestra un resultado por la salida estándar o en caso de utilizar el argumento -x, se termina la ejecución con dicho valor como argumento
  resultado:
  0 si la ejecución ha sido correcta
  -1 si la ejecución ha sido incorrecta
  1 si la ejecución ha sido correcta pero se han registrado warnings o errores leves

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD